package com.ruoyi.system.domain.visit.dr;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class VisitDrTaskSignExample implements Serializable {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private static final long serialVersionUID = 1L;

    public VisitDrTaskSignExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria implements Serializable {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andTaskIdIsNull() {
            addCriterion("task_id is null");
            return (Criteria) this;
        }

        public Criteria andTaskIdIsNotNull() {
            addCriterion("task_id is not null");
            return (Criteria) this;
        }

        public Criteria andTaskIdEqualTo(String value) {
            addCriterion("task_id =", value, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdNotEqualTo(String value) {
            addCriterion("task_id <>", value, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdGreaterThan(String value) {
            addCriterion("task_id >", value, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdGreaterThanOrEqualTo(String value) {
            addCriterion("task_id >=", value, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdLessThan(String value) {
            addCriterion("task_id <", value, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdLessThanOrEqualTo(String value) {
            addCriterion("task_id <=", value, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdLike(String value) {
            addCriterion("task_id like", value, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdNotLike(String value) {
            addCriterion("task_id not like", value, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdIn(List<String> values) {
            addCriterion("task_id in", values, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdNotIn(List<String> values) {
            addCriterion("task_id not in", values, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdBetween(String value1, String value2) {
            addCriterion("task_id between", value1, value2, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdNotBetween(String value1, String value2) {
            addCriterion("task_id not between", value1, value2, "taskId");
            return (Criteria) this;
        }

        public Criteria andCheckedObjectIsNull() {
            addCriterion("checked_object is null");
            return (Criteria) this;
        }

        public Criteria andCheckedObjectIsNotNull() {
            addCriterion("checked_object is not null");
            return (Criteria) this;
        }

        public Criteria andCheckedObjectEqualTo(String value) {
            addCriterion("checked_object =", value, "checkedObject");
            return (Criteria) this;
        }

        public Criteria andCheckedObjectNotEqualTo(String value) {
            addCriterion("checked_object <>", value, "checkedObject");
            return (Criteria) this;
        }

        public Criteria andCheckedObjectGreaterThan(String value) {
            addCriterion("checked_object >", value, "checkedObject");
            return (Criteria) this;
        }

        public Criteria andCheckedObjectGreaterThanOrEqualTo(String value) {
            addCriterion("checked_object >=", value, "checkedObject");
            return (Criteria) this;
        }

        public Criteria andCheckedObjectLessThan(String value) {
            addCriterion("checked_object <", value, "checkedObject");
            return (Criteria) this;
        }

        public Criteria andCheckedObjectLessThanOrEqualTo(String value) {
            addCriterion("checked_object <=", value, "checkedObject");
            return (Criteria) this;
        }

        public Criteria andCheckedObjectLike(String value) {
            addCriterion("checked_object like", value, "checkedObject");
            return (Criteria) this;
        }

        public Criteria andCheckedObjectNotLike(String value) {
            addCriterion("checked_object not like", value, "checkedObject");
            return (Criteria) this;
        }

        public Criteria andCheckedObjectIn(List<String> values) {
            addCriterion("checked_object in", values, "checkedObject");
            return (Criteria) this;
        }

        public Criteria andCheckedObjectNotIn(List<String> values) {
            addCriterion("checked_object not in", values, "checkedObject");
            return (Criteria) this;
        }

        public Criteria andCheckedObjectBetween(String value1, String value2) {
            addCriterion("checked_object between", value1, value2, "checkedObject");
            return (Criteria) this;
        }

        public Criteria andCheckedObjectNotBetween(String value1, String value2) {
            addCriterion("checked_object not between", value1, value2, "checkedObject");
            return (Criteria) this;
        }

        public Criteria andTelephoneIsNull() {
            addCriterion("telephone is null");
            return (Criteria) this;
        }

        public Criteria andTelephoneIsNotNull() {
            addCriterion("telephone is not null");
            return (Criteria) this;
        }

        public Criteria andTelephoneEqualTo(String value) {
            addCriterion("telephone =", value, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneNotEqualTo(String value) {
            addCriterion("telephone <>", value, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneGreaterThan(String value) {
            addCriterion("telephone >", value, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneGreaterThanOrEqualTo(String value) {
            addCriterion("telephone >=", value, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneLessThan(String value) {
            addCriterion("telephone <", value, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneLessThanOrEqualTo(String value) {
            addCriterion("telephone <=", value, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneLike(String value) {
            addCriterion("telephone like", value, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneNotLike(String value) {
            addCriterion("telephone not like", value, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneIn(List<String> values) {
            addCriterion("telephone in", values, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneNotIn(List<String> values) {
            addCriterion("telephone not in", values, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneBetween(String value1, String value2) {
            addCriterion("telephone between", value1, value2, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneNotBetween(String value1, String value2) {
            addCriterion("telephone not between", value1, value2, "telephone");
            return (Criteria) this;
        }

        public Criteria andAddressIsNull() {
            addCriterion("address is null");
            return (Criteria) this;
        }

        public Criteria andAddressIsNotNull() {
            addCriterion("address is not null");
            return (Criteria) this;
        }

        public Criteria andAddressEqualTo(String value) {
            addCriterion("address =", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotEqualTo(String value) {
            addCriterion("address <>", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThan(String value) {
            addCriterion("address >", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThanOrEqualTo(String value) {
            addCriterion("address >=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThan(String value) {
            addCriterion("address <", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThanOrEqualTo(String value) {
            addCriterion("address <=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLike(String value) {
            addCriterion("address like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotLike(String value) {
            addCriterion("address not like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressIn(List<String> values) {
            addCriterion("address in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotIn(List<String> values) {
            addCriterion("address not in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressBetween(String value1, String value2) {
            addCriterion("address between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotBetween(String value1, String value2) {
            addCriterion("address not between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andCheckTimeIsNull() {
            addCriterion("check_time is null");
            return (Criteria) this;
        }

        public Criteria andCheckTimeIsNotNull() {
            addCriterion("check_time is not null");
            return (Criteria) this;
        }

        public Criteria andCheckTimeEqualTo(String value) {
            addCriterion("check_time =", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeNotEqualTo(String value) {
            addCriterion("check_time <>", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeGreaterThan(String value) {
            addCriterion("check_time >", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeGreaterThanOrEqualTo(String value) {
            addCriterion("check_time >=", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeLessThan(String value) {
            addCriterion("check_time <", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeLessThanOrEqualTo(String value) {
            addCriterion("check_time <=", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeLike(String value) {
            addCriterion("check_time like", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeNotLike(String value) {
            addCriterion("check_time not like", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeIn(List<String> values) {
            addCriterion("check_time in", values, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeNotIn(List<String> values) {
            addCriterion("check_time not in", values, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeBetween(String value1, String value2) {
            addCriterion("check_time between", value1, value2, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeNotBetween(String value1, String value2) {
            addCriterion("check_time not between", value1, value2, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckPeopleIsNull() {
            addCriterion("check_people is null");
            return (Criteria) this;
        }

        public Criteria andCheckPeopleIsNotNull() {
            addCriterion("check_people is not null");
            return (Criteria) this;
        }

        public Criteria andCheckPeopleEqualTo(String value) {
            addCriterion("check_people =", value, "checkPeople");
            return (Criteria) this;
        }

        public Criteria andCheckPeopleNotEqualTo(String value) {
            addCriterion("check_people <>", value, "checkPeople");
            return (Criteria) this;
        }

        public Criteria andCheckPeopleGreaterThan(String value) {
            addCriterion("check_people >", value, "checkPeople");
            return (Criteria) this;
        }

        public Criteria andCheckPeopleGreaterThanOrEqualTo(String value) {
            addCriterion("check_people >=", value, "checkPeople");
            return (Criteria) this;
        }

        public Criteria andCheckPeopleLessThan(String value) {
            addCriterion("check_people <", value, "checkPeople");
            return (Criteria) this;
        }

        public Criteria andCheckPeopleLessThanOrEqualTo(String value) {
            addCriterion("check_people <=", value, "checkPeople");
            return (Criteria) this;
        }

        public Criteria andCheckPeopleLike(String value) {
            addCriterion("check_people like", value, "checkPeople");
            return (Criteria) this;
        }

        public Criteria andCheckPeopleNotLike(String value) {
            addCriterion("check_people not like", value, "checkPeople");
            return (Criteria) this;
        }

        public Criteria andCheckPeopleIn(List<String> values) {
            addCriterion("check_people in", values, "checkPeople");
            return (Criteria) this;
        }

        public Criteria andCheckPeopleNotIn(List<String> values) {
            addCriterion("check_people not in", values, "checkPeople");
            return (Criteria) this;
        }

        public Criteria andCheckPeopleBetween(String value1, String value2) {
            addCriterion("check_people between", value1, value2, "checkPeople");
            return (Criteria) this;
        }

        public Criteria andCheckPeopleNotBetween(String value1, String value2) {
            addCriterion("check_people not between", value1, value2, "checkPeople");
            return (Criteria) this;
        }

        public Criteria andExtfiledOneIsNull() {
            addCriterion("extfiled_one is null");
            return (Criteria) this;
        }

        public Criteria andExtfiledOneIsNotNull() {
            addCriterion("extfiled_one is not null");
            return (Criteria) this;
        }

        public Criteria andExtfiledOneEqualTo(String value) {
            addCriterion("extfiled_one =", value, "extfiledOne");
            return (Criteria) this;
        }

        public Criteria andExtfiledOneNotEqualTo(String value) {
            addCriterion("extfiled_one <>", value, "extfiledOne");
            return (Criteria) this;
        }

        public Criteria andExtfiledOneGreaterThan(String value) {
            addCriterion("extfiled_one >", value, "extfiledOne");
            return (Criteria) this;
        }

        public Criteria andExtfiledOneGreaterThanOrEqualTo(String value) {
            addCriterion("extfiled_one >=", value, "extfiledOne");
            return (Criteria) this;
        }

        public Criteria andExtfiledOneLessThan(String value) {
            addCriterion("extfiled_one <", value, "extfiledOne");
            return (Criteria) this;
        }

        public Criteria andExtfiledOneLessThanOrEqualTo(String value) {
            addCriterion("extfiled_one <=", value, "extfiledOne");
            return (Criteria) this;
        }

        public Criteria andExtfiledOneLike(String value) {
            addCriterion("extfiled_one like", value, "extfiledOne");
            return (Criteria) this;
        }

        public Criteria andExtfiledOneNotLike(String value) {
            addCriterion("extfiled_one not like", value, "extfiledOne");
            return (Criteria) this;
        }

        public Criteria andExtfiledOneIn(List<String> values) {
            addCriterion("extfiled_one in", values, "extfiledOne");
            return (Criteria) this;
        }

        public Criteria andExtfiledOneNotIn(List<String> values) {
            addCriterion("extfiled_one not in", values, "extfiledOne");
            return (Criteria) this;
        }

        public Criteria andExtfiledOneBetween(String value1, String value2) {
            addCriterion("extfiled_one between", value1, value2, "extfiledOne");
            return (Criteria) this;
        }

        public Criteria andExtfiledOneNotBetween(String value1, String value2) {
            addCriterion("extfiled_one not between", value1, value2, "extfiledOne");
            return (Criteria) this;
        }

        public Criteria andExtfiledTwoIsNull() {
            addCriterion("extfiled_two is null");
            return (Criteria) this;
        }

        public Criteria andExtfiledTwoIsNotNull() {
            addCriterion("extfiled_two is not null");
            return (Criteria) this;
        }

        public Criteria andExtfiledTwoEqualTo(String value) {
            addCriterion("extfiled_two =", value, "extfiledTwo");
            return (Criteria) this;
        }

        public Criteria andExtfiledTwoNotEqualTo(String value) {
            addCriterion("extfiled_two <>", value, "extfiledTwo");
            return (Criteria) this;
        }

        public Criteria andExtfiledTwoGreaterThan(String value) {
            addCriterion("extfiled_two >", value, "extfiledTwo");
            return (Criteria) this;
        }

        public Criteria andExtfiledTwoGreaterThanOrEqualTo(String value) {
            addCriterion("extfiled_two >=", value, "extfiledTwo");
            return (Criteria) this;
        }

        public Criteria andExtfiledTwoLessThan(String value) {
            addCriterion("extfiled_two <", value, "extfiledTwo");
            return (Criteria) this;
        }

        public Criteria andExtfiledTwoLessThanOrEqualTo(String value) {
            addCriterion("extfiled_two <=", value, "extfiledTwo");
            return (Criteria) this;
        }

        public Criteria andExtfiledTwoLike(String value) {
            addCriterion("extfiled_two like", value, "extfiledTwo");
            return (Criteria) this;
        }

        public Criteria andExtfiledTwoNotLike(String value) {
            addCriterion("extfiled_two not like", value, "extfiledTwo");
            return (Criteria) this;
        }

        public Criteria andExtfiledTwoIn(List<String> values) {
            addCriterion("extfiled_two in", values, "extfiledTwo");
            return (Criteria) this;
        }

        public Criteria andExtfiledTwoNotIn(List<String> values) {
            addCriterion("extfiled_two not in", values, "extfiledTwo");
            return (Criteria) this;
        }

        public Criteria andExtfiledTwoBetween(String value1, String value2) {
            addCriterion("extfiled_two between", value1, value2, "extfiledTwo");
            return (Criteria) this;
        }

        public Criteria andExtfiledTwoNotBetween(String value1, String value2) {
            addCriterion("extfiled_two not between", value1, value2, "extfiledTwo");
            return (Criteria) this;
        }

        public Criteria andExtfiledThreeIsNull() {
            addCriterion("extfiled_three is null");
            return (Criteria) this;
        }

        public Criteria andExtfiledThreeIsNotNull() {
            addCriterion("extfiled_three is not null");
            return (Criteria) this;
        }

        public Criteria andExtfiledThreeEqualTo(String value) {
            addCriterion("extfiled_three =", value, "extfiledThree");
            return (Criteria) this;
        }

        public Criteria andExtfiledThreeNotEqualTo(String value) {
            addCriterion("extfiled_three <>", value, "extfiledThree");
            return (Criteria) this;
        }

        public Criteria andExtfiledThreeGreaterThan(String value) {
            addCriterion("extfiled_three >", value, "extfiledThree");
            return (Criteria) this;
        }

        public Criteria andExtfiledThreeGreaterThanOrEqualTo(String value) {
            addCriterion("extfiled_three >=", value, "extfiledThree");
            return (Criteria) this;
        }

        public Criteria andExtfiledThreeLessThan(String value) {
            addCriterion("extfiled_three <", value, "extfiledThree");
            return (Criteria) this;
        }

        public Criteria andExtfiledThreeLessThanOrEqualTo(String value) {
            addCriterion("extfiled_three <=", value, "extfiledThree");
            return (Criteria) this;
        }

        public Criteria andExtfiledThreeLike(String value) {
            addCriterion("extfiled_three like", value, "extfiledThree");
            return (Criteria) this;
        }

        public Criteria andExtfiledThreeNotLike(String value) {
            addCriterion("extfiled_three not like", value, "extfiledThree");
            return (Criteria) this;
        }

        public Criteria andExtfiledThreeIn(List<String> values) {
            addCriterion("extfiled_three in", values, "extfiledThree");
            return (Criteria) this;
        }

        public Criteria andExtfiledThreeNotIn(List<String> values) {
            addCriterion("extfiled_three not in", values, "extfiledThree");
            return (Criteria) this;
        }

        public Criteria andExtfiledThreeBetween(String value1, String value2) {
            addCriterion("extfiled_three between", value1, value2, "extfiledThree");
            return (Criteria) this;
        }

        public Criteria andExtfiledThreeNotBetween(String value1, String value2) {
            addCriterion("extfiled_three not between", value1, value2, "extfiledThree");
            return (Criteria) this;
        }

        public Criteria andExtfiledFourIsNull() {
            addCriterion("extfiled_four is null");
            return (Criteria) this;
        }

        public Criteria andExtfiledFourIsNotNull() {
            addCriterion("extfiled_four is not null");
            return (Criteria) this;
        }

        public Criteria andExtfiledFourEqualTo(String value) {
            addCriterion("extfiled_four =", value, "extfiledFour");
            return (Criteria) this;
        }

        public Criteria andExtfiledFourNotEqualTo(String value) {
            addCriterion("extfiled_four <>", value, "extfiledFour");
            return (Criteria) this;
        }

        public Criteria andExtfiledFourGreaterThan(String value) {
            addCriterion("extfiled_four >", value, "extfiledFour");
            return (Criteria) this;
        }

        public Criteria andExtfiledFourGreaterThanOrEqualTo(String value) {
            addCriterion("extfiled_four >=", value, "extfiledFour");
            return (Criteria) this;
        }

        public Criteria andExtfiledFourLessThan(String value) {
            addCriterion("extfiled_four <", value, "extfiledFour");
            return (Criteria) this;
        }

        public Criteria andExtfiledFourLessThanOrEqualTo(String value) {
            addCriterion("extfiled_four <=", value, "extfiledFour");
            return (Criteria) this;
        }

        public Criteria andExtfiledFourLike(String value) {
            addCriterion("extfiled_four like", value, "extfiledFour");
            return (Criteria) this;
        }

        public Criteria andExtfiledFourNotLike(String value) {
            addCriterion("extfiled_four not like", value, "extfiledFour");
            return (Criteria) this;
        }

        public Criteria andExtfiledFourIn(List<String> values) {
            addCriterion("extfiled_four in", values, "extfiledFour");
            return (Criteria) this;
        }

        public Criteria andExtfiledFourNotIn(List<String> values) {
            addCriterion("extfiled_four not in", values, "extfiledFour");
            return (Criteria) this;
        }

        public Criteria andExtfiledFourBetween(String value1, String value2) {
            addCriterion("extfiled_four between", value1, value2, "extfiledFour");
            return (Criteria) this;
        }

        public Criteria andExtfiledFourNotBetween(String value1, String value2) {
            addCriterion("extfiled_four not between", value1, value2, "extfiledFour");
            return (Criteria) this;
        }

        public Criteria andExtfiledFiveIsNull() {
            addCriterion("extfiled_five is null");
            return (Criteria) this;
        }

        public Criteria andExtfiledFiveIsNotNull() {
            addCriterion("extfiled_five is not null");
            return (Criteria) this;
        }

        public Criteria andExtfiledFiveEqualTo(String value) {
            addCriterion("extfiled_five =", value, "extfiledFive");
            return (Criteria) this;
        }

        public Criteria andExtfiledFiveNotEqualTo(String value) {
            addCriterion("extfiled_five <>", value, "extfiledFive");
            return (Criteria) this;
        }

        public Criteria andExtfiledFiveGreaterThan(String value) {
            addCriterion("extfiled_five >", value, "extfiledFive");
            return (Criteria) this;
        }

        public Criteria andExtfiledFiveGreaterThanOrEqualTo(String value) {
            addCriterion("extfiled_five >=", value, "extfiledFive");
            return (Criteria) this;
        }

        public Criteria andExtfiledFiveLessThan(String value) {
            addCriterion("extfiled_five <", value, "extfiledFive");
            return (Criteria) this;
        }

        public Criteria andExtfiledFiveLessThanOrEqualTo(String value) {
            addCriterion("extfiled_five <=", value, "extfiledFive");
            return (Criteria) this;
        }

        public Criteria andExtfiledFiveLike(String value) {
            addCriterion("extfiled_five like", value, "extfiledFive");
            return (Criteria) this;
        }

        public Criteria andExtfiledFiveNotLike(String value) {
            addCriterion("extfiled_five not like", value, "extfiledFive");
            return (Criteria) this;
        }

        public Criteria andExtfiledFiveIn(List<String> values) {
            addCriterion("extfiled_five in", values, "extfiledFive");
            return (Criteria) this;
        }

        public Criteria andExtfiledFiveNotIn(List<String> values) {
            addCriterion("extfiled_five not in", values, "extfiledFive");
            return (Criteria) this;
        }

        public Criteria andExtfiledFiveBetween(String value1, String value2) {
            addCriterion("extfiled_five between", value1, value2, "extfiledFive");
            return (Criteria) this;
        }

        public Criteria andExtfiledFiveNotBetween(String value1, String value2) {
            addCriterion("extfiled_five not between", value1, value2, "extfiledFive");
            return (Criteria) this;
        }

        public Criteria andExtfiledSixIsNull() {
            addCriterion("extfiled_six is null");
            return (Criteria) this;
        }

        public Criteria andExtfiledSixIsNotNull() {
            addCriterion("extfiled_six is not null");
            return (Criteria) this;
        }

        public Criteria andExtfiledSixEqualTo(String value) {
            addCriterion("extfiled_six =", value, "extfiledSix");
            return (Criteria) this;
        }

        public Criteria andExtfiledSixNotEqualTo(String value) {
            addCriterion("extfiled_six <>", value, "extfiledSix");
            return (Criteria) this;
        }

        public Criteria andExtfiledSixGreaterThan(String value) {
            addCriterion("extfiled_six >", value, "extfiledSix");
            return (Criteria) this;
        }

        public Criteria andExtfiledSixGreaterThanOrEqualTo(String value) {
            addCriterion("extfiled_six >=", value, "extfiledSix");
            return (Criteria) this;
        }

        public Criteria andExtfiledSixLessThan(String value) {
            addCriterion("extfiled_six <", value, "extfiledSix");
            return (Criteria) this;
        }

        public Criteria andExtfiledSixLessThanOrEqualTo(String value) {
            addCriterion("extfiled_six <=", value, "extfiledSix");
            return (Criteria) this;
        }

        public Criteria andExtfiledSixLike(String value) {
            addCriterion("extfiled_six like", value, "extfiledSix");
            return (Criteria) this;
        }

        public Criteria andExtfiledSixNotLike(String value) {
            addCriterion("extfiled_six not like", value, "extfiledSix");
            return (Criteria) this;
        }

        public Criteria andExtfiledSixIn(List<String> values) {
            addCriterion("extfiled_six in", values, "extfiledSix");
            return (Criteria) this;
        }

        public Criteria andExtfiledSixNotIn(List<String> values) {
            addCriterion("extfiled_six not in", values, "extfiledSix");
            return (Criteria) this;
        }

        public Criteria andExtfiledSixBetween(String value1, String value2) {
            addCriterion("extfiled_six between", value1, value2, "extfiledSix");
            return (Criteria) this;
        }

        public Criteria andExtfiledSixNotBetween(String value1, String value2) {
            addCriterion("extfiled_six not between", value1, value2, "extfiledSix");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria implements Serializable {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion implements Serializable {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}